Subject: Re: docs build problems

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 16 Oct 2025 06:23:22 -0300

Em Wed, 15 Oct 2025 15:53:33 -0600
Jonathan Corbet <[email-masked]> escreveu:

> Mauro Carvalho Chehab <[email-masked]> writes:
> 
> > Just did a rebase. Those patches are missing:
> >
> > e2c3ba36aee2 tools/docs: sphinx-build-wrapper: -q is a boolean, not an integer
> > 0ce66e3f9c8b kernel-doc: output source file name at SEE ALSO
> > 9b34d25a58ae docs: Makefile: use PYTHONPYCACHEPREFIX
> > d5da902cc340 tools/docs: sphinx-build-wrapper: pdflatex is needed only for pdf
> > 1cad2682b785 docs: Makefile: avoid a warning when using without texlive
> > f0a4ad647aad tools/docs/sphinx-build-wrapper: allow skipping sphinx-build step
> > fb4771ad4ff4 docs: Makefile: fix rustdoc detection
> > ed7faec0095d tools/docs: sphinx-build-wrapper: fix compat with recent Tumbleweed
> > ab7dde2453af docs: conf.py: get rid of load_config.py
> > 8f421d0c327f scripts: remove sphinx-build-wrapper from scripts/
> > 9a20d16551af tools/docs: sphinx-build-wrapper: handle sphinx-build errors
> >
> > Want me to re-send them?  
> 
> *Sigh*
> 
> I forgot to pull the build-script branch back to the desktop machine
> once I got back home, so I was missing everything that I applied while
> on the road.  That has been rectified, and the needed patches are now in
> docs-next.
> 
> My apologies for the screwup.

Heh, that happens ;-)

All patches from my fixes series are there now. 

Looking at my docs pending stuff, the only thing missing is this
series:

	https://lore.kernel.org/linux-doc/[email-masked]/

I double-checked: it applies cleanly on the top of docs-next, as it is
unrelated to build wrapper.

Regards,
Mauro